Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface SLISTTS

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SLISTTSImpl

    public interface SLISTTS

extends ANY

A representation of the model object 'SLISTTS'.

The following features are supported:

- `Origin`
- `Scale`
- `Digits`

See Also:
  `CDAR2Package.getSLISTTS()`

Method Summary
`java.util.List` | `getDigits()` Returns the value of the 'Digits' attribute.
`TS1` | `getOrigin()` Returns the value of the 'Origin' containment reference.
`PQ` | `getScale()` Returns the value of the 'Scale' containment reference.
`void` | `setDigits(java.util.List value)` Sets the value of the '`Digits`' attribute.
`void` | `setOrigin(TS1 value)` Sets the value of the '`Origin`' containment reference.
`void` | `setScale(PQ value)` Sets the value of the '`Scale`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOrigin

    TS1 getOrigin()

  Returns the value of the 'Origin' containment reference. The origin of the list item value scale, i.e., the physical quantity that a zero-digit in the sequence would represent.

  Returns:
    the value of the 'Origin' containment reference.
  See Also:
    `setOrigin(TS1)`, `CDAR2Package.getSLISTTS_Origin()`

### setOrigin

    void setOrigin(TS1 value)

  Sets the value of the '`Origin`' containment reference.

  Parameters:
    `value` - the new value of the 'Origin' containment reference.
  See Also:
    `getOrigin()`

### getScale

    PQ getScale()

  Returns the value of the 'Scale' containment reference. A ratio-scale quantity that is factored out of the digit sequence.

  Returns:
    the value of the 'Scale' containment reference.
  See Also:
    `setScale(PQ)`, `CDAR2Package.getSLISTTS_Scale()`

### setScale

    void setScale(PQ value)

  Sets the value of the '`Scale`' containment reference.

  Parameters:
    `value` - the new value of the 'Scale' containment reference.
  See Also:
    `getScale()`

### getDigits

    java.util.List getDigits()

  Returns the value of the 'Digits' attribute. A sequence of raw digits for the sample values. This is typically the raw output of an A/D converter.

  Returns:
    the value of the 'Digits' attribute.
  See Also:
    `setDigits(List)`, `CDAR2Package.getSLISTTS_Digits()`

### setDigits

    void setDigits(java.util.List value)

  Sets the value of the '`Digits`' attribute.

  Parameters:
    `value` - the new value of the 'Digits' attribute.
  See Also:
    `getDigits()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD